!lua

-- Cabin Lights for AIG A332F.lua
-- Turn off lightmap between 10:45 PM and 6 AM and when the plane is not operating.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local Scale = 0.1

if CabinLight > 0 or LocalTime > 21600 and LocalTime < 81900 then
    TextureName = "AIG_A332F_l.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveScale","Number",Scale)
varset("T:EmissiveTexture","String",TextureName)